# $Revision: 1.29 $, $Date: 2005/10/05 18:31:31 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTML
%define		_subclass	TreeMenu
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - provides an api to create a HTML tree
Summary(pl):	%{_pearname} - dostarcza API do tworzenia drzew HTML
Name:		php-pear-%{_pearname}
Version:	1.2.0
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	29702b4e7fa6a3b716c1cf2deda063f0
URL:		http://pear.php.net/package/HTML_TreeMenu/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PHP based API creates a tree structure using a couple of small PHP
classes. This can then be converted to javascript using the
printMenu() method. The tree should be dynamic in IE 4 or higher and
NN6/Mozilla, and in IE 5 or higher it maintains state (the
collapsed/expanded status of the branches). Has only been tested under
IE6 however. Other browsers display the tree fully expanded. Each node
can have an optional link and icon. An example of this in action is
available at <http://www.phpguru.org/treemenu.php>.

In PEAR status of this package is: %{_status}.

%description -l pl
To oparte na PHP API tworzy struktur drzewa przy uyciu zestawu
maych klas PHP. Drzewo to moe by przekonwertowane do JavaScriptu
przy uyciu metody printMenu(). Drzewo powinno by dynamiczne w: IE 4
lub nowszym oraz NN6/Mozilli; zachowuje stan (zwinicie/rozwinicie
rozgazie) w IE 5 lub nowszym, ale byo to testowane tylko w IE 6.
Inne przegldarki wywietlaj drzewo w peni rozwinite. Kady li
moe mie opcjonalny odnonik i ikonk. Przykad takiego dziaania
jest dostpny pod adresem <http://www.phpguru.org/treemenu.php>.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

install -d docs/%{_pearname}
mv ./%{php_pear_dir}/%{_class}/docs/* docs/%{_pearname}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%{php_pear_dir}/data/%{_pearname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_TreeMenu.spec,v $
Revision 1.29  2005/10/05 18:31:31  glen
- rel 2

Revision 1.28  2005/09/26 20:28:45  glen
- new pear packaging

Revision 1.27  2005/03/27 01:04:30  adamg
- updated to 1.2.0

Revision 1.26  2004/12/03 22:12:56  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.25  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.24  2003/12/23 15:10:30  adamg
- updated to 1.1.9

Revision 1.23  2003/11/30 16:09:59  adamg
- updated to 1.1.7

Revision 1.22  2003/10/07 20:54:59  adamg
- do not use macros in URL

Revision 1.21  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.20  2003/05/28 10:50:28  adamg
- massive manual attack: pear packages update

Revision 1.19  2003/05/28 08:58:38  adamg
- massive attack: added source0-md5

Revision 1.18  2003/05/25 06:25:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/02/23 14:12:08  blues
- 1.1.4 - STBR to Ra updates general

Revision 1.16  2002/11/15 11:48:13  misto
- reverting reverted (and not needed in HEAD) changes
- working Ra version branched in RA-branch
- DON'T MOVE STABLE on HEAD!!!
- release 2

Revision 1.15  2002/11/14 14:36:32  blues
- 1.1.0 - many, many changes; reverted new pear-deps finding fuckup. STBR

Revision 1.14  2002/10/14 23:42:49  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.13  2002/10/14 20:00:32  misto
- merged with branch NEW_PEAR_REQUIRES (new rpm pear req/prov scripts)
- release 2

Revision 1.12.2.1  2002/10/11 19:32:55  misto
- modified provides/requires for new pear-prov/req rpm scripts

Revision 1.12  2002/09/08 15:02:02  blues
- fix in macros

Revision 1.11  2002/07/27 13:07:47  blues
- 1.0.4
STBR

Revision 1.10  2002/07/12 15:41:51  blues
- release 2
- added provides - dependencies are provided by .js file...
- rebuild with new rpm

Revision 1.9  2002/07/07 22:41:51  blues
- 1.0.3 (bugfixes)
STBR

Revision 1.8  2002/07/04 00:55:27  kloczek
- rlease 2.

Revision 1.7  2002/07/02 10:23:33  blues
- req. php-pear

Revision 1.6  2002/07/01 09:40:40  blues
- 1.0.2
STBR

Revision 1.5  2002/06/30 22:22:11  blues
- small fix

Revision 1.4  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.3  2002/06/30 12:24:58  qboosh
- pl description

Revision 1.2  2002/06/29 14:33:35  blues
- simplification

Revision 1.1  2002/06/25 14:00:34  blues
- initial (cool class :)  )
